「Vla-Addcylinder」の版間の差分
(ページの作成:「{{AutoLISP}} ; 構文 : (vla-addcylinder ''vla-object1'' ''Center'' ''Radius'' ''Height'') ; 機能 : WCS の XY 平面上に底面がある 3D ソリッド円柱を...」) |
細編集の要約なし |
||
16行目: | 16行目: | ||
; 戻り値 | ; 戻り値 | ||
: | : 作成された図形の VLAオブジェクト | ||
2014年6月22日 (日) 18:12時点における最新版
- 構文
- (vla-addcylinder vla-object1 Center Radius Height)
- 機能
- WCS の XY 平面上に底面がある 3D ソリッド円柱を作成する。
- 引数
-
- vla-object1 … VLA オブジェクト (Block、ModelSpace、PaperSpace)
- Center… 境界ボックスの中心を指定する 3D WCS 座標。
- Radius … 円柱の半径(正数)。
- Height … 円柱の高さ(正数)。
- 戻り値
- 作成された図形の VLAオブジェクト
- サンプル
(vl-load-com) (defun c:Example_AddCylinder() ;; モデル空間に円柱を作成するサンプル (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))) ;; 円柱の設定値 (setq center (vlax-3d-point 0 0 0) cylRadius 5 cylHeight 20) ;; モデルに円柱 (3DSolid)を生成 (setq modelSpace (vla-get-ModelSpace doc)) (setq cylinderObj (vla-AddCylinder modelSpace center cylRadius cylHeight)) ;; 表示の更新 (setq NewDirection (vlax-3d-point -1 -1 1)) (setq activeViewport (vla-get-ActiveViewport doc)) (vla-put-Direction activeViewport NewDirection) (vla-put-ActiveViewport doc activeViewport) (vla-ZoomAll (vlax-get-acad-object)) )
関連事項